
Foreman - Bug #5669

Unlimited filters unavailable when taxonomy is selected

05/12/2014 10:31 AM - Daniel Lobato Garcia

Status: New   

Priority: Normal   

Assignee:    

Category: Organizations and Locations   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It's currently impossible to create an unlimited filter in a role if the user is in any organization/location scope. The user needs to be in

'any organization/any location' to be able to do it.

It might make sense to not allow users to create unlimited filters in this situation but the current behavior is that so the user creates

the filter, the 'unlimited' field gets fixed without the user knowing, and it's a bit confusing. Maybe disabling the field would be a

sensible choice.

Related issues:

Blocks Foreman - Tracker #4552: New permissions/authorization system issues New

History

#1 - 05/12/2014 10:37 AM - Dominic Cleal

- Category set to Organizations and Locations

#2 - 05/12/2014 10:37 AM - Dominic Cleal

- Blocks Tracker #4552: New permissions/authorization system issues added

#3 - 05/26/2014 02:25 PM - Marek Hulán

I think the documentation in UI would make it clear. The filter is not unlimited if it's applied only to some taxonomy.
